Name:           carat
Version:        2.1b1.19.07.2008
Release:        13%{?dist}
Summary:        Crystallographic AlgoRithms And Tables

License:        GPLv3+
URL:            http://wwwb.math.rwth-aachen.de/%{name}/
Source0:        http://wwwb.math.rwth-aachen.de/%{name}/%{name}.tgz
Source1:        %{name}.module.in

BuildRequires:  gcc
BuildRequires:  gmp-devel
BuildRequires:  tex(latex)
BuildRequires:  tex(epic.sty)

Requires:       %{name}-tables = %{version}-%{release}
Requires:       environment(modules)

%description
CARAT is a computer package which handles enumeration, construction,
recognition, and comparison problems for crystallographic groups up to
dimension 6.  The name CARAT itself is an acronym for Crystallographic
AlgoRithms And Tables.

Due to its specialized nature and some generically named binaries, this
package uses environment modules to access its binaries.

%package tables
Summary:        Tables for CARAT binaries
BuildArch:      noarch

%description tables
Tables for CARAT binaries to consume.

%package doc
Summary:        Documentation and examples for CARAT
BuildArch:      noarch

%description doc
Documentation and examples for CARAT.

%prep
%setup -q -n %{name}

# Use the system gmp
sed -i "/Gmp\\\\/d" Makefile

# Don't ship XV thumbnails with the examples
rm -fr tex/examples/.xvpics

# We don't want to run in place
sed -i '/-D.*TOPDIR/s,\$(TOPDIR),%{_datadir}/%{name},g' bin/Makefile \
  functions/*/Makefile

cp -p /usr/lib/rpm/redhat/config.guess bin/

%build
# FIXME: %%{?_smp_mflags} is broken
make CFLAGS="$RPM_OPT_FLAGS $RPM_LD_FLAGS" TOPDIR=$PWD

# Build the documentation
cd tex
pdflatex manual

%install
# Install the binaries
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -dp bin/*linux*/* %{buildroot}%{_libexecdir}/%{name}
rm -f %{buildroot}%{_libexecdir}/%{name}/Makefile
chmod 0755  %{buildroot}%{_libexecdir}/%{name}/*

# Install the environment-modules file
mkdir -p %{buildroot}%{_datadir}/modulefiles/
sed 's#@LIBDIR@#'%{_libexecdir}/%{name}'#g;' < %{SOURCE1} \
  > %{buildroot}%{_datadir}/modulefiles/%{name}-%{_arch}
touch -r %{SOURCE1} %{buildroot}%{_datadir}/modulefiles/%{name}-%{_arch}

# Install the tables
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a tables %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/tables/*.tar.gz
rm -f %{buildroot}%{_datadir}/%{name}/tables/lattices/{README.lattice,*.sh}
rm -f %{buildroot}%{_datadir}/%{name}/tables/qcatalog/*.sh
rm -f %{buildroot}%{_datadir}/%{name}/tables/symbol/{Makefile,README}

%files
%doc tex/README.short tex/manual.pdf
%{_datadir}/modulefiles/%{name}-%{_arch}
%{_libexecdir}/%{name}/

%files tables
%doc tables/lattices/README.lattice
%license COPYING
%{_datadir}/%{name}

%files doc
%doc tex/Graph tex/*.html tex/examples tex/progs
%license COPYING

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Jerry James <loganjerry@gmail.com> - 2.1b1.19.07.2008-11
- Move binaries to libexecdir so gap-pkg-carat can be noarch

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1b1.19.07.2008-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 6 2016 Orion Poplawski <orion@cora.nwra.com> - 2.1b1.19.07.2008-4
- Require environment(modules), install into generic modulefiles location

* Sun Sep 13 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.1b1.19.07.2008-3
- Update config.guess to fix FTBFS on new arches

* Sat Jun 13 2015 Jerry James <loganjerry@gmail.com> - 2.1b1.19.07.2008-2
- Add COPYING as a license file

* Thu May 28 2015 Jerry James <loganjerry@gmail.com> - 2.1b1.19.07.2008-1
- Initial RPM
